nginx-1.8.1-8.1.x86_64.rpm


Advertisement

Description

nginx - A HTTP server and IMAP/POP3 proxy server

Distribution: openSUSE 42.2
Repository: openSUSE Update Oss all
Package name: nginx
Package version: 1.8.1
Package release: 8.1
Package architecture: x86_64
Package type: rpm
Installed size: 1.75 MB
Download size: 526.11 KB
Official Mirror: ftp.gwdg.de
nginx [engine x] is a HTTP server and IMAP/POP3 proxy server written by Igor Sysoev. It has been running on many heavily loaded Russian sites for more than two years.

Alternatives

Provides

  • config(nginx) = 1.8.1-8.1
  • http_daemon
  • httpd
  • nginx = 1.8.1-8.1
  • nginx(x86-64) = 1.8.1-8.1
  • nginx.so()(64bit)
  • perl(nginx) = 1.8.1

Conflicts

  • otherproviders(nginx)

    Download

    Source package: nginx-1.8.1-8.1.src.rpm

    Install Howto

    Install nginx rpm package:

    # zypper install nginx

    Files

    • /etc/logrotate.d/nginx
    • /etc/nginx/fastcgi.conf
    • /etc/nginx/fastcgi.conf.default
    • /etc/nginx/fastcgi_params
    • /etc/nginx/fastcgi_params.default
    • /etc/nginx/koi-utf
    • /etc/nginx/koi-win
    • /etc/nginx/mime.types
    • /etc/nginx/mime.types.default
    • /etc/nginx/nginx.conf
    • /etc/nginx/nginx.conf.default
    • /etc/nginx/scgi_params
    • /etc/nginx/scgi_params.default
    • /etc/nginx/uwsgi_params
    • /etc/nginx/uwsgi_params.default
    • /etc/nginx/win-utf
    • /srv/www/htdocs/50x.html
    • /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/nginx.pm
    • /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/nginx/nginx.bs
    • /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi/auto/nginx/nginx.so
    • /usr/lib/systemd/system/nginx.service
    • /usr/sbin/nginx
    • /usr/sbin/rcnginx
    • /usr/share/doc/packages/nginx/CHANGES
    • /usr/share/doc/packages/nginx/CHANGES.ru
    • /usr/share/doc/packages/nginx/conf/fastcgi.conf
    • /usr/share/doc/packages/nginx/conf/fastcgi_params
    • /usr/share/doc/packages/nginx/conf/koi-utf
    • /usr/share/doc/packages/nginx/conf/koi-win
    • /usr/share/doc/packages/nginx/conf/mime.types
    • /usr/share/doc/packages/nginx/conf/nginx.conf
    • /usr/share/doc/packages/nginx/conf/scgi_params
    • /usr/share/doc/packages/nginx/conf/uwsgi_params
    • /usr/share/doc/packages/nginx/conf/win-utf
    • /usr/share/doc/packages/nginx/contrib/README
    • /usr/share/doc/packages/nginx/contrib/geo2nginx.pl
    • /usr/share/doc/packages/nginx/contrib/unicode2nginx/koi-utf
    • /usr/share/doc/packages/nginx/contrib/unicode2nginx/unicode-to-nginx.pl
    • /usr/share/doc/packages/nginx/contrib/unicode2nginx/win-utf
    • /usr/share/doc/packages/nginx/contrib/vim/
    • /usr/share/doc/packages/nginx/contrib/vim/ftdetect/nginx.vim
    • /usr/share/doc/packages/nginx/contrib/vim/indent/nginx.vim
    • /usr/share/doc/packages/nginx/contrib/vim/syntax/nginx.vim
    • /usr/share/doc/packages/nginx/ngx-fancyindex-0.3.5/LICENSE
    • /usr/share/doc/packages/nginx/ngx-fancyindex-0.3.5/README.rst
    • /usr/share/doc/packages/nginx/ngx-fancyindex-0.3.5/template.awk
    • /usr/share/doc/packages/nginx/ngx-fancyindex-0.3.5/template.h
    • /usr/share/doc/packages/nginx/ngx-fancyindex-0.3.5/template.html
    • /usr/share/man/man3/nginx.3pm.gz
    • /var/lib/nginx/
    • /var/lib/nginx/fastcgi/
    • /var/lib/nginx/proxy/
    • /var/lib/nginx/scgi/
    • /var/lib/nginx/tmp/
    • /var/lib/nginx/uwsgi/
    • /var/log/nginx/

    Changelog

    2017-01-24 - i@marguerite.su - fixed boo#982505, CVE-2016-4450: remote attackers can cause a denial of service (NULL pointer dereference and worker process crash) via a crafted request, involving writing a client request body to a temporary file. - added patch: CVE-2016-4450.patch

    2016-01-28 - i@marguerite.su - update version 1.8.1 stable * Security: invalid pointer dereference might occur during DNS server response processing if the "resolver" directive was used, allowing an attacker who is able to forge UDP packets from the DNS server to cause segmentation fault in a worker process (CVE-2016-0742). boo#963781 ?* Security: use-after-free condition might occur during CNAME response processing if the "resolver" directive was used, allowing an attacker who is able to trigger name resolution to cause segmentation fault in a worker process, or might have potential other impact (CVE-2016-0746). boo#963778 ?* Security: CNAME resolution was insufficiently limited if the "resolver" directive was used, allowing an attacker who is able to trigger arbitrary name resolution to cause excessive resource consumption in worker processes (CVE-2016-0747). boo#963775 ?* Bugfix: the "proxy_protocol" parameter of the "listen" directive did not work if not specified in the first "listen" directive for a listen socket. * Bugfix: nginx might fail to start on some old Linux variants; the bug had appeared in 1.7.11. * Bugfix: a segmentation fault might occur in a worker process if the "try_files" and "alias" directives were used inside a location given by a regular expression; the bug had appeared in 1.7.1. * Bugfix: the "try_files" directive inside a nested location given by a regular expression worked incorrectly if the "alias" directive was used in the outer location. * Bugfix: "header already sent" alerts might appear in logs when using cache; the bug had appeared in 1.7.5. * Bugfix: a segmentation fault might occur in a worker process if different ssl_session_cache settings were used in different virtual servers. * Bugfix: the "expires" directive might not work when using variables. * Bugfix: if nginx was built with the ngx_http_spdy_module it was possible to use the SPDY protocol even if the "spdy" parameter of the "listen" directive was not specified.

    2015-06-11 - i@marguerite.su - update version 1.8.0 stable * refer to http://nginx.org/en/CHANGES-1.8 for 1.7.x changes - enable thread pools invented in nginx 1.7.11 - refactor nginx-1.4.2-passenger_fix.patch * rename to nginx-1.4.2-passenger-4.0.18.patch * remove zero_in_uri usage - add patch: nginx-1.8.0-passenger-4.0.18.patch * fix "warning: comparison between pointer and integer" and "error: invalid type argument of ?->? (have ?int?)" - drop nginx-1.4.4-passenger-4.0.33_fix.patch * webyast is dead, we only enable passenger on 13.1 and below, for compatibility. this patch will never be applied now. - drop nginx-1.4.4-passenger-3.0.12_fix.patch * this patch intended to be applied on < 13.1 machines, but 13.1 is the oldest one we still have to build against. - update fancyindex to version 0.3.5

    2015-04-12 - mrueckert@suse.de - disable libatomic-ops on SLE12 for now. the library seems not available there.

    2015-04-12 - mrueckert@suse.de - enable ngx_http_auth_request_module

    2015-04-12 - mrueckert@suse.de - update version 1.6.3 stable - Feature: now the "tcp_nodelay" directive works with SPDY connections. - Bugfix: in error handling. Thanks to Yichun Zhang and Daniil Bondarev. - Bugfix: alerts "header already sent" appeared in logs if the "post_action" directive was used; the bug had appeared in 1.5.4. - Bugfix: alerts "sem_post() failed" might appear in logs. - Bugfix: in hash table handling. Thanks to Chris West. - Bugfix: in integer overflow handling. Thanks to Régis Leroy. - no longer install the init script when using systemd service file - create rcnginx for systemd case

    Advertisement
    Advertisement